Bug 1360997

Summary: un-necessary shared objects causing DSO issues
Product: [Fedora] Fedora Reporter: Ryan H. Lewis (rhl) <me>
Component: scalapackAssignee: Tom "spot" Callaway <tcallawa>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: dakingun, david.brown, tcallawa, tomspur
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: scalapack-2.0.2-15.fc24 scalapack-2.0.2-15.fc23 scalapack-2.0.2-15.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-08-08 20:27:02 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Ryan H. Lewis (rhl) 2016-07-28 06:29:54 UTC
Description of problem:

I am having DSO Linking issues, since fedora is packaging some kind of hacked scalapack build:

Determining if the function Csys2blacs_handle exists failed with the following output:
Change Dir: /home/makerpm/rpmbuild/BUILD/Elemental-0.86-rc2/openmpi-x86_64/CMakeFiles/CMakeTmp

Run Build Command:"/usr/bin/gmake" "cmTC_bb4c6/fast"
/usr/bin/gmake -f CMakeFiles/cmTC_bb4c6.dir/build.make CMakeFiles/cmTC_bb4c6.dir/build
gmake[1]: Entering directory '/home/makerpm/rpmbuild/BUILD/Elemental-0.86-rc2/openmpi-x86_64/CMakeFiles/CMakeTmp'
Building C object CMakeFiles/cmTC_bb4c6.dir/CheckFunctionExists.c.o
/usr/lib64/openmpi/bin/mpicc   -I/usr/include/openmpi-x86_64  -DCHECK_FUNCTION_EXISTS=Csys2blacs_handle   -o CMakeFiles/cmTC_bb4c6.dir/CheckFunctionExists.c.o   -c /usr/share/cmake/Modules/CheckFunctionExists.c
Linking C executable cmTC_bb4c6
/usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_bb4c6.dir/link.txt --verbose=1
/usr/lib64/openmpi/bin/mpicc   -DCHECK_FUNCTION_EXISTS=Csys2blacs_handle   -Wl,-rpath  -Wl,/usr/lib64/openmpi/lib  -Wl,--enable-new-dtags  CMakeFiles/cmTC_bb4c6.dir/CheckFunctionExists.c.o  -o cmTC_bb4c6 -rdynamic /usr/lib64/openmpi/lib/libscalapack.so /usr/lib64/openmpi/lib/libmpi.so 
/usr/bin/ld: CMakeFiles/cmTC_bb4c6.dir/CheckFunctionExists.c.o: undefined reference to symbol 'Csys2blacs_handle'
/usr/lib64/openmpi/lib/libmpiblacs.so.2: error adding symbols: DSO missing from command line
collect2: error: ld returned 1 exit status
CMakeFiles/cmTC_bb4c6.dir/build.make:99: recipe for target 'cmTC_bb4c6' failed
gmake[1]: *** [cmTC_bb4c6] Error 1
gmake[1]: Leaving directory '/home/makerpm/rpmbuild/BUILD/Elemental-0.86-rc2/openmpi-x86_64/CMakeFiles/CMakeTmp'
Makefile:126: recipe for target 'cmTC_bb4c6/fast' failed
gmake: *** [cmTC_bb4c6/fast] Error 2


According to the scalapack documentation at version 2.0:

New in version 2.0:

- The BLACS is now part of ScaLAPACK, and is compiled into the ScaLAPACK
  library.  It is no longer necessary to link against BLACS libraries.

Yet this clearly contradicts what I am seeing:

/usr/lib64/openmpi/lib/libmpiblacs.so.2: error adding symbols: DSO missing from command line

Version-Release number of selected component (if applicable):
All after 2.0

Comment 1 Fedora Update System 2016-07-28 15:50:57 UTC
scalapack-2.0.2-15.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-560cf441fc

Comment 2 Fedora Update System 2016-07-28 15:51:07 UTC
scalapack-2.0.2-15.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8ebe2adca1

Comment 3 Fedora Update System 2016-07-28 15:51:15 UTC
scalapack-2.0.2-15.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2adb2347e1

Comment 4 Fedora Update System 2016-07-29 03:55:24 UTC
scalapack-2.0.2-15.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-560cf441fc

Comment 5 Fedora Update System 2016-07-29 03:55:34 UTC
scalapack-2.0.2-15.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8ebe2adca1

Comment 6 Fedora Update System 2016-07-29 07:19:11 UTC
scalapack-2.0.2-15.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2adb2347e1

Comment 7 Ryan H. Lewis (rhl) 2016-07-30 02:59:18 UTC
The exact issue that I had before was resolved, however, I am still unable to link against scalapack for the same reason as: 

https://bugzilla.redhat.com/show_bug.cgi?id=1114031

The error I now see is: 

/usr/lib64/openmpi/bin/mpicc   -DCHECK_FUNCTION_EXISTS=dsytrd_   -Wl,-rpath  -Wl,/usr/lib64/openmpi/lib  -Wl,--enable-new-dtags  CMakeFiles/cmTC_91d7e.dir/CheckFunctionExists.c.o  -o cmTC_91d7e -rdynamic /usr/lib64/openmpi/lib/libscalapack.so /usr/lib64/openmpi/lib/libmpi.so 
/usr/bin/ld: CMakeFiles/cmTC_91d7e.dir/CheckFunctionExists.c.o: undefined reference to symbol 'dsytrd_'
/usr/lib64/liblapack.so.3: error adding symbols: DSO missing from command line

Comment 8 Fedora Update System 2016-08-08 20:26:57 UTC
scalapack-2.0.2-15.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-08-08 23:54:16 UTC
scalapack-2.0.2-15.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-08-14 05:19:43 UTC
scalapack-2.0.2-15.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.